OGRE: Ogre::D3D9Mappings Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Types | Static Public Member Functions | List of all members
Ogre::D3D9Mappings Class Reference

`#include <OgreD3D9Mappings.h>`

## Public Types
enum | eD3DFilterUsage { D3D_FUSAGE_MIN, D3D_FUSAGE_MAG, D3D_FUSAGE_MIP }
| enum identifying D3D9 filter usage type More...
enum | eD3DTexType { D3D_TEX_TYPE_NORMAL, D3D_TEX_TYPE_CUBE, D3D_TEX_TYPE_VOLUME, D3D_TEX_TYPE_NONE }
| enum identifying D3D9 tex. types More...

## Static Public Member Functions
static PixelFormat | _getClosestSupportedPF (PixelFormat ogrePF)
| utility method, find closest Ogre pixel format that D3D9 can support More...
static PixelFormat | _getPF (D3DFORMAT d3dPF)
| utility method, convert D3D9 pixel format to Ogre pixel format More...
static D3DFORMAT | _getPF (PixelFormat ogrePF)
| utility method, convert Ogre pixel format to D3D9 pixel format More...
static Matrix4 | convertD3DXMatrix (const D3DXMATRIX &mat)
static DWORD | get (CompareFunction cf)
| return a D3D9 equivalent for a Ogre CompareFunction value More...
static DWORD | get (CullingMode cm, bool flip)
| return a D3D9 equivalent for a Ogre CillingMode value More...
static D3DSAMPLERSTATETYPE | get (FilterType ft)
| return a D3D9 state type for Ogre FilterType value More...
static DWORD | get (FilterType ft, FilterOptions fo, const D3DCAPS9 &devCaps, eD3DTexType texType)
| return a D3D9 filter option for Ogre FilterType & FilterOption value More...
static D3DFOGMODE | get (FogMode fm)
| return a D3D9 equivalent for a Ogre FogMode value More...
static DWORD | get (HardwareBuffer::LockOptions options, HardwareBuffer::Usage usage)
| Get lock options. More...
static DWORD | get (HardwareBuffer::Usage usage)
| return the combination of D3DUSAGE values for Ogre buffer usage More...
static D3DFORMAT | get (HardwareIndexBuffer::IndexType itype)
| Get index type. More...
static DWORD | get (LayerBlendOperationEx lbo, const D3DCAPS9 &devCaps)
| return a D3D9 equivalent for a Ogre LayerBlendOperationEx value More...
static DWORD | get (LayerBlendSource lbs, bool perStageConstants)
| return a D3D9 equivalent for a Ogre LayerBlendSource value More...
static D3DTEXTURESTAGESTATETYPE | get (LayerBlendType lbt)
| return a D3D9 equivalent for a Ogre LayerBlendType value More...
static D3DLIGHTTYPE | get (Ogre::Light::LightTypes lightType)
| return a D3D9 equivalent for a Ogre LightTypes value More...
static D3DFILLMODE | get (PolygonMode level)
| return a D3D9 equivalent for a Ogre PolygonMode value More...
static D3DBLEND | get (SceneBlendFactor sbf)
| return a D3D9 equivalent for a Ogre SceneBlendFactor value More...
static D3DBLENDOP | get (SceneBlendOperation sbo)
| return a D3D9 equivalent for a Ogre SceneBlendOperation value More...
static DWORD | get (ShadeOptions so)
| return a D3D9 equivalent for a Ogre ShadeOptions value More...
static DWORD | get (StencilOperation op, bool invert=false)
| return a D3D9 equivalent for a Ogre StencilOperation value More...
static DWORD | get (TexCoordCalcMethod m, const D3DCAPS9 &caps)
| return a D3D9 equivalent for a Ogre TexCoordCalsMethod value More...
static eD3DTexType | get (TextureType ogreTexType)
| return the D3DtexType equivalent of a Ogre tex. type More...
static D3DTEXTUREADDRESS | get (TextureUnitState::TextureAddressingMode tam, const D3DCAPS9 &devCaps)
| return a D3D9 equivalent for a Ogre TextureAddressingMode value More...
static D3DDECLUSAGE | get (VertexElementSemantic sem)
| Get vertex semantic. More...
static D3DDECLTYPE | get (VertexElementType vType)
| Get vertex data type. More...
static D3DXMATRIX | makeD3DXMatrix (const Matrix4 &mat)

## Member Enumeration Documentation

## ◆ eD3DFilterUsage

enum Ogre::D3D9Mappings::eD3DFilterUsage

enum identifying D3D9 filter usage type

Enumerator
D3D_FUSAGE_MIN | min filter
D3D_FUSAGE_MAG | mag filter
D3D_FUSAGE_MIP | mip filter

## ◆ eD3DTexType

enum Ogre::D3D9Mappings::eD3DTexType

enum identifying D3D9 tex. types

Enumerator
D3D_TEX_TYPE_NORMAL | standard texture
D3D_TEX_TYPE_CUBE | cube texture
D3D_TEX_TYPE_VOLUME | volume texture
D3D_TEX_TYPE_NONE | just to have it...

## Member Function Documentation

## ◆ _getClosestSupportedPF()

static PixelFormat Ogre::D3D9Mappings::_getClosestSupportedPF | ( | PixelFormat | ogrePF | ) |
| static

utility method, find closest Ogre pixel format that D3D9 can support

## ◆ _getPF() [1/2]

static PixelFormat Ogre::D3D9Mappings::_getPF | ( | D3DFORMAT | d3dPF | ) |
| static

utility method, convert D3D9 pixel format to Ogre pixel format

## ◆ _getPF() [2/2]

static D3DFORMAT Ogre::D3D9Mappings::_getPF | ( | PixelFormat | ogrePF | ) |
| static

utility method, convert Ogre pixel format to D3D9 pixel format

## ◆ convertD3DXMatrix()

static Matrix4 Ogre::D3D9Mappings::convertD3DXMatrix | ( | const D3DXMATRIX & | mat | ) |
| static

## ◆ get() [1/22]

static DWORD Ogre::D3D9Mappings::get | ( | CompareFunction | cf | ) |
| static

return a D3D9 equivalent for a Ogre CompareFunction value

## ◆ get() [2/22]

static DWORD Ogre::D3D9Mappings::get | ( | CullingMode | cm,
|  | bool | flip
| ) |  |
| static

return a D3D9 equivalent for a Ogre CillingMode value

## ◆ get() [3/22]

static D3DSAMPLERSTATETYPE Ogre::D3D9Mappings::get | ( | FilterType | ft | ) |
| static

return a D3D9 state type for Ogre FilterType value

## ◆ get() [4/22]

static DWORD Ogre::D3D9Mappings::get | ( | FilterType | ft,
|  | FilterOptions | fo,
|  | const D3DCAPS9 & | devCaps,
|  | eD3DTexType | texType
| ) |  |
| static

return a D3D9 filter option for Ogre FilterType & FilterOption value

## ◆ get() [5/22]

static D3DFOGMODE Ogre::D3D9Mappings::get | ( | FogMode | fm | ) |
| static

return a D3D9 equivalent for a Ogre FogMode value

## ◆ get() [6/22]

static DWORD Ogre::D3D9Mappings::get | ( | HardwareBuffer::LockOptions | options,
|  | HardwareBuffer::Usage | usage
| ) |  |
| static

Get lock options.

## ◆ get() [7/22]

static DWORD Ogre::D3D9Mappings::get | ( | HardwareBuffer::Usage | usage | ) |
| static

return the combination of D3DUSAGE values for Ogre buffer usage

## ◆ get() [8/22]

static D3DFORMAT Ogre::D3D9Mappings::get | ( | HardwareIndexBuffer::IndexType | itype | ) |
| static

Get index type.

## ◆ get() [9/22]

static DWORD Ogre::D3D9Mappings::get | ( | LayerBlendOperationEx | lbo,
|  | const D3DCAPS9 & | devCaps
| ) |  |
| static

return a D3D9 equivalent for a Ogre LayerBlendOperationEx value

## ◆ get() [10/22]

static DWORD Ogre::D3D9Mappings::get | ( | LayerBlendSource | lbs,
|  | bool | perStageConstants
| ) |  |
| static

return a D3D9 equivalent for a Ogre LayerBlendSource value

## ◆ get() [11/22]

static D3DTEXTURESTAGESTATETYPE Ogre::D3D9Mappings::get | ( | LayerBlendType | lbt | ) |
| static

return a D3D9 equivalent for a Ogre LayerBlendType value

## ◆ get() [12/22]

static D3DLIGHTTYPE Ogre::D3D9Mappings::get | ( | Ogre::Light::LightTypes | lightType | ) |
| static

return a D3D9 equivalent for a Ogre LightTypes value

## ◆ get() [13/22]

static D3DFILLMODE Ogre::D3D9Mappings::get | ( | PolygonMode | level | ) |
| static

return a D3D9 equivalent for a Ogre PolygonMode value

## ◆ get() [14/22]

static D3DBLEND Ogre::D3D9Mappings::get | ( | SceneBlendFactor | sbf | ) |
| static

return a D3D9 equivalent for a Ogre SceneBlendFactor value

## ◆ get() [15/22]

static D3DBLENDOP Ogre::D3D9Mappings::get | ( | SceneBlendOperation | sbo | ) |
| static

return a D3D9 equivalent for a Ogre SceneBlendOperation value

## ◆ get() [16/22]

static DWORD Ogre::D3D9Mappings::get | ( | ShadeOptions | so | ) |
| static

return a D3D9 equivalent for a Ogre ShadeOptions value

## ◆ get() [17/22]

static DWORD Ogre::D3D9Mappings::get | ( | StencilOperation | op,
|  | bool | invert = `false`
| ) |  |
| static

return a D3D9 equivalent for a Ogre StencilOperation value

## ◆ get() [18/22]

static DWORD Ogre::D3D9Mappings::get | ( | TexCoordCalcMethod | m,
|  | const D3DCAPS9 & | caps
| ) |  |
| static

return a D3D9 equivalent for a Ogre TexCoordCalsMethod value

## ◆ get() [19/22]

static eD3DTexType Ogre::D3D9Mappings::get | ( | TextureType | ogreTexType | ) |
| static

return the D3DtexType equivalent of a Ogre tex. type

## ◆ get() [20/22]

static D3DTEXTUREADDRESS Ogre::D3D9Mappings::get | ( | TextureUnitState::TextureAddressingMode | tam,
|  | const D3DCAPS9 & | devCaps
| ) |  |
| static

return a D3D9 equivalent for a Ogre TextureAddressingMode value

## ◆ get() [21/22]

static D3DDECLUSAGE Ogre::D3D9Mappings::get | ( | VertexElementSemantic | sem | ) |
| static

Get vertex semantic.

## ◆ get() [22/22]

static D3DDECLTYPE Ogre::D3D9Mappings::get | ( | VertexElementType | vType | ) |
| static

Get vertex data type.

## ◆ makeD3DXMatrix()

static D3DXMATRIX Ogre::D3D9Mappings::makeD3DXMatrix | ( | const Matrix4 & | mat | ) |
| static

The documentation for this class was generated from the following file:

- OgreD3D9Mappings.h